查询库存流水(旧)
POST
/erp/sc/routing/data/local_inventory/wareHouseStatement支持查询本地仓库库存流水,对应系统【仓库】>【库存流水】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/data/local_inventory/wareHouseStatement | HTTPS | POST | 1 |
请求参数
widstringtypestringstart_datestringend_datestringoffsetintegerlengthinteger请求示例
{
"offset": 0,
"length": 20,
"wid": "1,5,18",
"start_date": "2024-07-29",
"end_date": "2024-07-29",
"type": "100"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
statement_idstring必填widinteger必填ware_house_namestring必填bidinteger必填order_snstring必填product_idinteger必填product_namestring必填skustring必填fnskustring必填product_totalnumber必填product_good_numnumber必填product_bad_numnumber必填product_qc_numnumber必填product_lock_numnumber必填pricenumber必填amountnumber必填typestring必填remarkstring必填opt_uidinteger必填opt_timestring必填cancel_timestring必填fee_coststring必填brand_namestring必填single_fee_costnumber必填single_cg_pricenumber必填product_amountsnumber必填type_textstring必填opt_realnamestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "596A9701-F2B8-1291-3EFC-9099C295A9C4",
"response_time": "2024-07-31 15:39:39",
"data": [
{
"wid": 18,
"ware_house_name": "深圳仓",
"order_sn": "PT240729003",
"product_id": 33043,
"product_name": "电脑cyt",
"sku": "diannaocyt",
"seller_id": "0",
"fnsku": "",
"product_good_num": -10,
"product_bad_num": 0,
"product_qc_num": 0,
"product_lock_num": 10,
"price": "",
"amount": "",
"product_amounts": "",
"type": 100,
"type_text": "库存调整",
"fee_cost": "",
"single_cg_price": "",
"single_fee_cost": "",
"opt_uid": 10603434,
"opt_time": "2024-07-29 20:12",
"opt_realname": "马旭哲",
"cancel_time": "",
"remark": "加工单锁定库存",
"bid": 0,
"brand_name": "",
"ref_order_sn": "",
"product_total": 0,
"statement_id": "401469208181637651"
}
],
"total": 32
}